package widgets.listeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.text.BadLocationException;
import javax.swing.text.StyledDocument;

/**
 * Classe implmentant l'action d'effacer un document
 * @author davidroussel
 */
public class ClearListener implements ActionListener
{
	/**
	 * Le document  effacer
	 * @uml.property  name="document"
	 * @uml.associationEnd  multiplicity="(1 1)"
	 */
	protected StyledDocument document;

	/**
	 * Constructeur d'un effaceur de document;
	 * @param document le document  effacer
	 */
	public ClearListener(StyledDocument document)
	{
		this.document = document;
	}

	/**
	 * Action  effectuer : effacement de l'ensemble du contenu du document
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e)
	{
		try
		{
			document.remove(0, document.getLength());
		}
		catch (BadLocationException ex)
		{
			System.err.println("clear doc : bad location");
			ex.printStackTrace();
		}
	}
}
